#
# Table structure for table 'tx_frpwsdownload_statdata'
#

CREATE TABLE tx_frpwsdownload_statdata (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	element_uid int(11) DEFAULT '0' NOT NULL,
	element_pid int(11) DEFAULT '0' NOT NULL,
	element_title tinytext NOT NULL,
	element_document tinytext NOT NULL,
	element_password tinytext NOT NULL,
	element_user tinytext NOT NULL,
	element_type tinytext NOT NULL,
	element_mtime tinytext NOT NULL,
	counter int(11) DEFAULT '0' NOT NULL,
	year int(11) DEFAULT '0' NOT NULL,
	month int(11) DEFAULT '0' NOT NULL,
	day int(11) DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY index1 (element_title(20),year,month,day),
	KEY index2 (element_uid,element_type(6),year,month,day),
	KEY index3 (element_title(20)),
	KEY index4 (element_uid,element_pid,element_type(6),year,month,day),
	KEY index5 (tstamp)
);

